#ifndef __el_particles_h
#define __el_particles_h

#include "release.h"

#include <iostream>
#include <list>
#include "coordinate.h"

#include <string>

namespace PRJID {

class Particle {
public:
	C3f pos;
	unsigned int ticks;
	unsigned int start;
	Particle(C3f p);
};

class Particles {
	std::list <Particle> particles_;
public:
	static bool load(std::string dir);

	void add(C3f p);

	void draw();
};


} //namespace

#endif
